Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms.alignment
Class PairwiseStringAlignment

    java.lang.Object
      de.jstacs.algorithms.alignment.StringAlignment
          de.jstacs.algorithms.alignment.PairwiseStringAlignment

    public class PairwiseStringAlignment

extends StringAlignment

Class for the representation of an alignment of two `String`s. It contains the two `String`s that were aligned and expanded by gap-symbols, and the edit-costs according to the employed `Costs` instance.

Author:
  Jan Grau

Constructor Summary
`protected` | `PairwiseStringAlignment(String r1, String r2, double cost, int startPos, int endPos)` Creates the instance for the two (extended) `String`s and the edit-costs.

Method Summary
`int` | `getEndIndexOfAlignmentForFirst()` This method returns the end index of the alignment in the first sequence.
`int` | `getStartIndexOfAlignmentForFirst()` This method returns the start index of the alignment in the first sequence.

Methods inherited from class de.jstacs.algorithms.alignment.StringAlignment
`getAlignedString, getCost, getLength, getNumberOfAlignedSequences, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PairwiseStringAlignment

    protected PairwiseStringAlignment(String r1,
                                      String r2,
                                      double cost,
                                      int startPos,
                                      int endPos)

  Creates the instance for the two (extended) `String`s and the edit-costs.

  Parameters:
    `r1` - the first `String`
    `r2` - the second `String`
    `cost` - the edit-costs
    `startPos` - the start position of the aligned block in the first `String`
    `endPos` - the end position of the aligned block in the first `String`

Method Detail

### getStartIndexOfAlignmentForFirst

    public int getStartIndexOfAlignmentForFirst()

  This method returns the start index of the alignment in the first sequence.

  Returns:
    the start index of the alignment in the first sequence

### getEndIndexOfAlignmentForFirst

    public int getEndIndexOfAlignmentForFirst()

  This method returns the end index of the alignment in the first sequence.

  Returns:
    the end index of the alignment in the first sequence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD